- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.locations.resourceValueConfigs/batchCreate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.locations.resourceValueConfigs/batchCreate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.locations.resourceValueConfigs/batchCreate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.locations.resourceValueConfigs/batchCreate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.locations.resourceValueConfigs/batchCreate#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.locations.resourceValueConfigs/batchCreate#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/organizations.locations.resourceValueConfigs/batchCreate#try-it)

Creates a ResourceValueConfig for an organization. Maps user's tags to different resource values for use by the attack path simulation.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.resourcevalueconfigs.create`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v2/{parent=organizations/*/locations/*}/resourceValueConfigs:batchCreate`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the new ResourceValueConfig's parent. The parent field in the CreateResourceValueConfigRequest messages must either be empty or match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/CreateResourceValueConfigRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/CreateResourceValueConfigRequest`)`` Required. The resource value configs to be created. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v2/BatchCreateResourceValueConfigsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).